Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class ConsumerClosedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.jms.JMSException
                        |
                        +--weblogic.jms.common.JMSException
                              |
                              +--weblogic.jms.extensions.ConsumerClosedException

public final class ConsumerClosedException
extends weblogic.jms.common.JMSException

This exception is delivered to the ExceptionListener for a session (if set), when one of its consumer has been closed by the server as a result of a server failure, or administrative intervention.

Author:
  Copyright (c) 2000 by BEA Systems, Inc., All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ConsumerClosedException(javax.jms.MessageConsumer consumer, java.lang.String reason)` Construct a ConsumerClosedException with reason and errorCode for exception.
`ConsumerClosedException(javax.jms.MessageConsumer consumer, java.lang.String reason, java.lang.String errorCode)` Construct a ConsumerClosedException with reason and errorCode for exception.

Method Summary
`javax.jms.MessageConsumer` | `getConsumer()` Get a reference to the consumer that was closed
`void` | `setConsumer(javax.jms.MessageConsumer consumer)` Set a reference to the consumer that was closed.

Methods inherited from class weblogic.jms.common.JMSException
`getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, setLinkedThrowable`

Methods inherited from class javax.jms.JMSException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsumerClosedException

    public ConsumerClosedException(javax.jms.MessageConsumer consumer,
                                   java.lang.String reason,
                                   java.lang.String errorCode)

  Construct a ConsumerClosedException with reason and errorCode for exception.

  Parameters:
    `reason` - a description of the exception.
    `errorCode` - a string specifying the vendor specific error code.

### ConsumerClosedException

    public ConsumerClosedException(javax.jms.MessageConsumer consumer,
                                   java.lang.String reason)

  Construct a ConsumerClosedException with reason and errorCode for exception.

  Parameters:
    `reason` - a description of the exception.

Method Detail

### getConsumer

    public javax.jms.MessageConsumer getConsumer()

  Get a reference to the consumer that was closed

  Returns:
    a reference to the consumer that was closed

### setConsumer

    public void setConsumer(javax.jms.MessageConsumer consumer)

  Set a reference to the consumer that was closed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference